/**
 * 修改配置
 */
$(document).ready(function () {
    var sysSetIndex = parent.$("#sysSetIndex").val();
    //根据ID将所有信息反馈回来
    $.ajax({
        url: '/pqs9900/sysset/selectId',
        type: 'POST',
        data: {
            sysSetIndex: sysSetIndex
        },
        success: function (data) {
            $("#limitMouth").val(data[0][0]);
            $("#limitPwd").val(data[0][1]);
            $("#limitNums").val(data[0][2]);
            $("#limitUpPw").val(data[0][3]);
            $("#limitTimeOut").val(data[0][4]);
            $("#casualUserTime").val(data[0][5]);
            $("#logOutTime").val(data[0][6]);
            $("#logSize").val(data[0][7]);
            $("#locktime").val(data[0][8]);
        }
    })
    $("#close").click(function () {
        parent.layer.closeAll();
    });
    $("#insertAddSys").click(function () {
            var limitMouth = $("#limitMouth").val();
            limitMouth = filterXSS(limitMouth);
            var re = passMonth;// 只能输入1-3的数字
            if (!re.test(limitMouth)) {
                layer.tips('密码有效期非法', '#limitMouth', {
                    tips: [1, 'red'], time: 2000
                    // 还可配置颜色
                });
                $("#limitMouth").val("");
            } else {
                var limitPwd = $("#limitPwd").val();
                limitPwd = filterXSS(limitPwd);
                var re = passError;// 只能输入数字
                if (!re.test(limitPwd)) {
                    layer.tips('密码错误次数非法', '#limitPwd', {
                        tips: [1, 'red']
                        // 还可配置颜色
                    });
                    $("#limitPwd").val("");
                } else {
                    var limitNums = $("#limitNums").val();
                    limitNums = filterXSS(limitNums);
                    var re = maxNum;// 只能输入数字
                    if (!re.test(limitNums)) {
                        layer.tips('最大并发数非法', '#limitNums', {
                            tips: [1, 'red']
                            // 还可配置颜色
                        });
                        $("#limitNums").val("");
                    } else {
                        var limitUpPw = $("#limitUpPw").val();
                        limitUpPw = filterXSS(limitUpPw);
                        var re = passMonth;// 只能输入数字
                        if (!re.test(limitUpPw)) {
                            layer.tips('闲置用户_修改密码非法', '#limitUpPw', {
                                tips: [1, 'red']
                                // 还可配置颜色
                            });
                            $("#limitUpPw").val("");
                        } else {
                            var limitTimeOut = $("#limitTimeOut").val();
                            limitTimeOut = filterXSS(limitTimeOut);
                            var re = passUpw;// 只能输入数字
                            if (!re.test(limitTimeOut)) {
                                layer.tips('闲置用户_注销非法', '#limitTimeOut', {
                                    tips: [1, 'red']
                                    // 还可配置颜色
                                });
                                $("#limitTimeOut").val("");
                            } else {
                                var casualUserTime = $("#casualUserTime").val();
                                casualUserTime = filterXSS(casualUserTime);
                                var re = passMonth;// 只能输入数字
                                if (!re.test(casualUserTime)) {
                                    layer.tips('临时账号休眠输入非法', '#casualUserTime', {
                                        tips: [1, 'red']
                                    });

                                    if (re > 3) {
                                        layer.tips('临时账号休眠设置不得超过三个月', '#casualUserTime', {
                                            tips: [1, 'red']
                                        });
                                    }

                                    $("#casualUserTime").val("");
                                } else {
                                    var logOutTime = $("#logOutTime").val();
                                    logOutTime = filterXSS(logOutTime);
                                    var re = freeMonth;// 只能输入数字
                                    if (!re.test(logOutTime)) {
                                        layer.tips('休眠账号注销输入非法', '#logOutTime', {
                                            tips: [1, 'red']
                                        });

                                        if (re > 12) {
                                            layer.tips('休眠账号注销设置不得超过十二个月', '#logOutTime', {
                                                tips: [1, 'red']
                                            });
                                        }

                                        $("#logOutTime").val("");
                                    } else {
                                        var logSize = $("#logSize").val();
                                        logSize = filterXSS(logSize);
                                        var re = logSizes;// 只能输入数字
                                        if (!re.test(logSize)) {
                                            layer.tips('审计日志容量输入非法', '#logSize', {
                                                tips: [1, 'red']
                                            });

                                            if (re > 2) {
                                                layer.tips('审计日志容量设置不得超过两个G', '#logSize', {
                                                    tips: [1, 'red']
                                                });
                                            }

                                            $("#logSize").val("");
                                        } else {
                                            var locktime = $("#locktime").val();
                                            locktime = filterXSS(locktime);
                                            var re = userLock;// 只能输入数字
                                            if (!re.test(locktime)) {
                                                layer.tips('用户锁定时长输入非法', '#locktime', {
                                                    tips: [1, 'red']
                                                });

                                                if (re > 60) {
                                                    layer.tips('用户锁定时长设置不得超过60分钟', '#locktime', {
                                                        tips: [1, 'red']
                                                    });
                                                } else if (re < 20) {
                                                    layer.tips('用户锁定时长设置不得低于20分钟', '#locktime', {
                                                        tips: [1, 'red']
                                                    });
                                                }

                                                $("#locktime").val("");
                                            } else {
                                                $.ajax({
                                                    url: '/pqs9900/sysset/update',
                                                    type: 'POST',
                                                    dataType: "json",
                                                    data: {
                                                        sysSetIndex: sysSetIndex,
                                                        limitDate: limitMouth,
                                                        limitTimes: limitPwd,
                                                        limitNumber: limitNums,
                                                        limitIdle: limitUpPw,
                                                        limitLogOut: limitTimeOut,
                                                        casualUserTime: casualUserTime,
                                                        logOutTime: logOutTime,
                                                        logSize: logSize,
                                                        locktime: locktime
                                                    },
                                                    success: function (data) {
                                                        if (data.code !== 200) {
                                                            layer.msg(data.message, {
                                                                icon: 5
                                                            });
                                                        } else {
                                                            layer.msg('成功更改系统配置', {
                                                                icon: 6,
                                                                time: 1000
                                                            }, function () {
                                                                parent.load();
                                                                parent.layer.closeAll();
                                                            });
                                                        }
                                                    }
                                                });
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    )
    ;
})